package com.yeejoin.amos.maintenance.business.vo;

import java.util.List;
import java.util.Map;

public class LeavePlanTaskPointVo {
	private long pointId;
	private long planTaskId;
	private String taskName;
	private long routeId;
	private String name;
	private String pointNO;
	private String offline;
	private String status;
	private String isFixed;
	private String orderNo;
	private String remark;
	private List<Map<String,Object>> classify;
	private List<PointInputItemVo> inputItems;
//	private List<PointInputItem> inputItems;
	public long getPointId() {
		return pointId;
	}
	public void setPointId(long pointId) {
		this.pointId = pointId;
	}
	public long getRouteId() {
		return routeId;
	}
	public void setRouteId(long routeId) {
		this.routeId = routeId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getPointNO() {
		return pointNO;
	}
	public void setPointNO(String pointNO) {
		this.pointNO = pointNO;
	}
	public String getOffline() {
		return offline;
	}
	public void setOffline(String offline) {
		this.offline = offline;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getIsFixed() {
		return isFixed;
	}
	public void setIsFixed(String isFixed) {
		this.isFixed = isFixed;
	}

	public long getPlanTaskId() {
		return planTaskId;
	}
	public void setPlanTaskId(long planTaskId) {
		this.planTaskId = planTaskId;
	}
	public List<PointInputItemVo> getInputItems() {
		return inputItems;
	}
	public void setInputItems(List<PointInputItemVo> inputItems) {
		this.inputItems = inputItems;
	}
	public List<Map<String,Object>> getClassify() {
		return classify;
	}
	public void setClassify(List<Map<String,Object>> classify) {
		this.classify = classify;
	}
	public String getTaskName() {
		return taskName;
	}
	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
}
